Bug 537772 - Sudoers: User cannot add multiple users/groups.
Sudoers: User cannot add multiple users/groups.
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
x86_64 Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
Reported: 2009-11-16 05:23 EST by Sunil Kondkar
Modified: 2014-05-16 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-16 09:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2009-11-16 05:23:27 EST
Description of problem:
If user tries to add multiple users/groups in one go, only one user/group gets added.

Version-Release number of selected component (if applicable):

version: 1.4.0-SNAPSHOT

How reproducible:

Steps to Reproduce:

1.Login to managed platform .
2.Select the 'Sudoers' resource.
3.Select the 'Configure' tab.
4. Click on 'Edit' button.
5. Click on 'Add New' button.
6. Add an entry and click OK button..
7.Again click on 'Add New' button to add a second entry.
8. Add an entry and click OK button.
9. Click on 'Save' button.
10 Check the entries added in 'Configure' tab. Only one entry gets added.
11. Login to platform as root and check the file 'etc/sudoers'. The file has only one entry.
Actual results:
If user tries to add multiple users/groups in one go, only one user/group gets added.

Expected results:

System should add multiple entries.

Additional info:
Comment 1 spandey 2009-12-23 05:30:58 EST
observed following issue while add multiple entry  :

Description : Previous Entry has been deleted while adding multiple entry in one attempt .

Prerequisite :

1)Properly configured Imanage  host.

Steps to verify :

1.Login to imanage host with valid root credentials .
2. Execute the following command on host console to edit /etc/sudoers. 
3.At bottom of /etc/sudoers file add following line .
redhat  ALL = (ALL) PASSWD : ALL
4.Verify in the imanaged platform's sudoers resource that user 'redhat' is discovered.
5.Add sudouser testboy,testgirl using Imanage > sudoers services .
6.Press save button to save these entry in /etc/sudoers.

Expected Result : All entry should present in sudo users list .

Actual Result : After add multiple entry in one attempt not able to find entry of previous added user “redhat” in sudo users list or in /etc/sudoers file .
Comment 2 wes hayutin 2010-02-16 11:57:10 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:02:14 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-05 09:08:24 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.